#!/usr/bin/ruby

$:.unshift "#{File.dirname(__FILE__)}/../lib"
require 'pull_request'
require 'pry-byebug'

auth = YAML.load_file('auth.yml')
jira_username = auth["jira"]["username"]
jira_password = auth["jira"]["password"]
JiraReporting.connect! jira_username, jira_password

github_token  = auth["github"]["api_token"]
PullRequest.connect(github_token)

prs = PullRequest.get_prs('inventory')
binding.pry

keys = [:pr_number, :jira, :title, :created, :requester, :cl, :ci, :code_reviewed, :needs_testing, :project, :issue_current_sprint, :issue_status]
puts keys.to_csv
prs.each do |pr|
  puts pr.to_csv
end

