require 'singleton'

module JiraReporting
  class Connection
    include Singleton
    def connect!(user, pass)
      Jiralicious.configure do |c|
        c.username = user
        c.password = pass
        c.uri = "https://optoro.atlassian.net"
        c.api_version = 'latest'
        c.auth_type = :basic
      end
    end
  end
end
